#pragma once

#include <vector>

class Ship;
class Player;

class BattleField {
public:
    BattleField(Player* player, Player* enemy);

    Ship* getPlayerShip() const;
    Ship* getEnemyShip() const;
    std::vector<Player*> players() const;

private:
    Player* _player;
    Player* _enemy;
};
